/*
 * File: LetsGetIceCreamSoln.java
 * -----------------------
 * Empty file that will find the times that your friends are
 * free for ice cream!
 */

import acm.program.*;

import java.util.*;
import java.io.*;

public class LetsGetIceCream extends ConsoleProgram {
	
	private static final String SENTINEL = "";


	public void run(){
		HashMap<String, ArrayList<String>> friendAvailability = new HashMap<String, ArrayList<String>>();
		ArrayList<String> bestTimes = new ArrayList<String>();
		
		println("Let's go get ice cream! When are you free? \n");
		
		// Get friends names (fencepost)
			
			// Get current friend availability (fencepost)
			println("Format availabilities like: 1:20AM or 12:30PM");

			// Add friend and their availability to the map
			
			// if map is size one, add all availabilities to best times
			// if map has more than one friend, only include common times in best times


		
		// Loop through friends in Map
			// Loop through friends' availability list and print each item!

		
		// prints best times!
		println("Your friends are all available at: ");
		for(String time: bestTimes) {
			println(time);
		}
		
		
	}


}


